DCMTK: SegmentedPropertyTypeCodeItem Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Attributes | Friends | List of all members
SegmentedPropertyTypeCodeItem Class Reference

Class representing the Segmented Property Type Code and Segmented Property Type Code Modifier Code Sequence. More...

## Public Member Functions
| SegmentedPropertyTypeCodeItem ()
| Constructor.
virtual | ~SegmentedPropertyTypeCodeItem ()
| Virtual destructor, frees memory.
virtual SegmentedPropertyTypeCodeItem * | clone ()
| Clone method, creates a new instance of this class and performs a deep copy of all data.
SegmentedPropertyTypeCodeItem & | operator= (const SegmentedPropertyTypeCodeItem &rhs)
| Assignment operator, performs deep copy.
| SegmentedPropertyTypeCodeItem (const SegmentedPropertyTypeCodeItem &rhs)
| Copy constructor.
virtual void | clearData ()
| Clear all data.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether class has valid data.
virtual OFCondition | read (DcmItem &item, const OFBool clearOldData=OFTrue)
| Read data from given item.
virtual OFCondition | write (DcmItem &item)
| Write data to given item.

## Protected Member Functions
OFCondition | checkModifiers (const OFBool quiet=OFFalse)
| Check whether the modifier codes are ok.

## Private Attributes
CodeSequenceMacro | m_SegmentedPropertyTypeCode
| Segmented Property Type Code (SQ,1,1) Baseline CID 7151.
OFVector< CodeSequenceMacro * > | m_SegmentedPropertyTypeModifierCode
| Segmented Property Type Modifier Code (SQ, VM 1-n, Type 3).

## Friends
class | SegmentDescriptionMacro
| Easy access to containing class.

## Detailed Description

Class representing the Segmented Property Type Code and Segmented Property Type Code Modifier Code Sequence.

## Constructor & Destructor Documentation

## ◆ SegmentedPropertyTypeCodeItem()

SegmentedPropertyTypeCodeItem::SegmentedPropertyTypeCodeItem | ( | const SegmentedPropertyTypeCodeItem & | rhs | ) |

Copy constructor.

Parameters

  rhs | The right-hand side SegmentedPropertyTypeCodeItem to copy from

References SegmentedPropertyTypeCodeItem().

## Member Function Documentation

## ◆ check()

virtual OFCondition SegmentedPropertyTypeCodeItem::check | ( | const OFBool | quiet = OFFalse | ) |
| virtual

Check whether class has valid data.

Parameters

  quiet | If OFTrue, check will not produce any warnings or errors on the logger. Default is OFFalse.

Returns
  EC_Normal if data is valid, error otherwise

## ◆ checkModifiers()

OFCondition SegmentedPropertyTypeCodeItem::checkModifiers | ( | const OFBool | quiet = OFFalse | ) |
| protected

Check whether the modifier codes are ok.

Parameters

  quiet | If OFTrue, no warnings or errors will be printed to the loggers. Default is OFFalse.

Returns
  EC_Normal if data is ok, error otherwise

## ◆ clone()

virtual SegmentedPropertyTypeCodeItem * SegmentedPropertyTypeCodeItem::clone | ( |  | ) |
| virtual

Clone method, creates a new instance of this class and performs a deep copy of all data.

Returns
  Pointer to newly created SegmentedPropertyTypeCodeItem object. The caller is responsible for deleting the object after use.

References SegmentedPropertyTypeCodeItem().

## ◆ operator=()

SegmentedPropertyTypeCodeItem & SegmentedPropertyTypeCodeItem::operator= | ( | const SegmentedPropertyTypeCodeItem & | rhs | ) |

Assignment operator, performs deep copy.

Parameters

  rhs | The right-hand side SegmentedPropertyTypeCodeItem to assign from

Returns
  Reference to this SegmentedPropertyTypeCodeItem

References SegmentedPropertyTypeCodeItem().

## ◆ read()

virtual OFCondition SegmentedPropertyTypeCodeItem::read | ( | DcmItem & | item,
|  | const OFBool | clearOldData = OFTrue )
| virtual

Read data from given item.

Parameters

  item | The item to read from
  clearOldData | If OFTrue, old data is cleared before reading

Returns
  EC_Normal if reading was successful, error otherwise

## ◆ write()

virtual OFCondition SegmentedPropertyTypeCodeItem::write | ( | DcmItem & | item | ) |
| virtual

Write data to given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

The documentation for this class was generated from the following file:

- dcmseg/include/dcmtk/dcmseg/segtypes.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1